#import <AppKit/AppKit.h>

// though kPoints is a constant, the oneStep method assumes this value is 4
// for performance. Watch out.
#define kPoints 4
#define kLength 40

@interface CurvesView : NSView
{
    id sharedInspectorPanel;

    NSRect _pts[kLength][kPoints];
    NSColor *_color[kLength+1];
    NSBezierPath *_bp;
    int _idx;
}
- (void)movePoints;
- (void)oneStep;
- (float)randOffset;
@end

@interface StaticCurvesView : CurvesView
@end