/*
 * FSUtil.m
 * 6/18/98 Mike Trent
 *
 * Utility functions; mostly for compatability with BackSpace
 */

#include <stdlib.h>
#import <AppKit/AppKit.h>

void loadPSProcedures(void)
{
}

void PSWDefineFont(void)
{
}

/*void PSWXYShow (float X, float Y, char *CharString, float * XYScratch, int j)
{
    // starting at X,Y, draw j stars of size CharString[i]. After each star, move pen XYScratch[i]
    int i,x,y;
    char c;
    NSBezierPath *path = [NSBezierPath bezierPath];

    x = X; y = Y;
    i = 0;
    while (c = *CharString) {
        [path appendBezierPathWithOvalInRect:NSMakeRect(x, y, (c - 'a' + 1.0), (c - 'a' + 1.0))];
        x += XYScratch[i++];
        y += XYScratch[i++];
        CharString++;
    }
    [path fill];
}*/

static NSSize sizeArray[] = {{1,1},{1,1},{2,1},{1,2},{2,2},{2,2},
			     {3,2},{2,3},{3,3},{4,3},{3,4},{4,4}};

void PSWXYShow (float X, float Y, char *CharString, float * XYScratch, int j)
{
    int est = j/2,cnt;
    NSRect *rp = (NSRect*)malloc(sizeof(NSRect) * est);
    int i;
    NSPoint p;
    char c;
        
    p.x = X; p.y = Y;
    i = cnt = 0;
    while (c = *CharString) {
        rp[cnt].origin = p;
        rp[cnt].size = sizeArray[(int)(c-'a')];
        p.x += XYScratch[i++];
        p.y += XYScratch[i++];
        cnt++;
        CharString++;
    }

    NSRectFillList(rp,cnt);
    
    free(rp);
}

float randBetween(float a, float b)
{
    float	val, scale, t;

    if (a > b) {
        t = a; a = b; b = t;
    }

    scale = (b - a);
    val = scale * ((float) random() / (float) RAND_MAX);

    return (a + val);
}
