#import <AppKit/AppKit.h>

@interface GeneralView : NSView
{
    id sharedInspectorPanel;

    NSDate		*timer;
    NSImage		*image;
    NSTextFieldCell	*hostname;
    NSRect		imageFrame, textFrame;
}
- (void)oneStep;
- (void)moveImage:(NSRect)r;
- (void)moveHostname:(NSRect)r;
- (NSPoint)randomPointForSize:(NSSize)size within:(NSRect)bounds;
- (void)willExitScreenSaverMode;
- (NSView *)inspector:sender;

@end

@interface StaticGeneralView : GeneralView
{
}
@end
