/* IFEnumerator.m created by bbum on Fri 07-Jan-2000 */

#import "IFEnumerator.h"

@implementation IFEnumerator
+ infiniteEnumeratorWithCollection: aCollection;
{
    return [[[self alloc] initWithCollection: aCollection] autorelease];
}

- initWithCollection: aCollection;
{
    [super init];
    collection = [aCollection retain];
    collectionEnumerator = [[collection objectEnumerator] retain];
    return self;
}

- (void) dealloc
{
    [collection release];
    [collectionEnumerator release];

    [super dealloc];
}

- nextObject;
{
    id returnObject;

    returnObject = [collectionEnumerator nextObject];
    if (returnObject == nil) {
        [collectionEnumerator release];
        collectionEnumerator = [[collection objectEnumerator] retain];
        returnObject = [collectionEnumerator nextObject];
    }

    return returnObject;
}

- (NSArray *) allObjects;
{
    return [collectionEnumerator allObjects];
}
@end
