/* YumActions.h created by mtrent on Mon 22-Feb-1999 */

#import <AppKit/AppKit.h>
#import "State.h"

@interface YumAction : NSObject
{
    float _sDistance;
    float _eDistance;
    float _sDelta;
    float _eDelta;
    NSDate *_startDate;
    NSTimeInterval _endInterval;

    NSArray *_actions;
    BOOL _expired;
}
- (id)initWithState:(State*)state;
- (void)changeState:(State*)state;
- (BOOL)expired;
- (id)newActionForState:(State*)state;
@end

@interface YumStartAction : YumAction
{
}
@end

