/*
 * DimmerManager.m
 * 6/22/98 Mike Trent
 */

#import <AppKit/AppKit.h>
#ifndef GNUSTEP
#import <drivers/event_status_driver.h>
#endif

@interface DimmerManager : NSObject
{
#ifndef GNUSTEP
    NXEventHandle eventHandle;
    double normalBrightness;
    double dimBrightness;
#endif
}
- (double)dimTime;
- (void)setDimTime:(double)time;
- (BOOL)autoDimState;
- (void)brightenDimmedScreen;
- (void)darkenDimmedScreen;

@end
