/*
 * ModuleView.h
 * 6/18/98 Mike Trent
 *
 * ModuleView definition
 */

#import <AppKit/AppKit.h>

@interface ModuleView : NSView 
{
}
- (void)oneStep;
- (NSTimeInterval)animationDelayTime;
- (void)didLockFocus;
- (NSView *)inspector:(id)sender;
- (void)inspectorInstalled;
- (void)inspectorWillBeRemoved;
- (BOOL)useBufferedWindow;
- (BOOL)isBoringScreenSaver;
- (BOOL)ignoreMouseMovement; // in 1.3 for BackSpace-compatability.
- (NSString*)windowTitle;
- (void)willEnterScreenSaverMode; // FreeSpace Only
- (void)enteredScreenSaverMode;
- (void)willExitScreenSaverMode;
- (BOOL)useMultipleMonitors; // FreeSpace Only
- (void)firstCall; // FreeSpace Only
@end
