/*
 * ModuleView.h
 * 6/18/98 Mike Trent
 *
 * ModuleView definition
 */

#import <AppKit/AppKit.h>

@interface RandomizerModuleView : NSView 
{
}
- (void)oneStep;
- (NSTimeInterval)animationDelayTime;
- (void)didLockFocus;
- (NSView *)inspector:(id)sender;
- (void)inspectorInstalled;
- (void)inspectorWillBeRemoved;
- (BOOL)useBufferedWindow;
- (BOOL)isBoringScreenSaver;
- (BOOL)ignoreMouseMovement;
- (NSString*)windowTitle;
- (void)willEnterScreenSaverMode;
- (void)enteredScreenSaverMode;
- (void)willExitScreenSaverMode;
- (BOOL)useMultipleMonitors;
- (void)firstCall;

@end
