#import <AppKit/AppKit.h>

@interface SlideShowView : NSView
{
    id addBtn;
    id dirBrowser;
    id removeBtn;
    id sharedInspectorPanel;
    id randomBtn;
    id descendBtn;
    id delaySld;
    id delayText;

    NSMutableArray *dirList;
    NSMutableArray *files;
    NSMutableDictionary *directories;
    BOOL rnd;
    BOOL descend;
    BOOL loadGraphics;
    NSDate *timer;
    int delay;
    int lastFile;
}
- (void)addImage:(id)sender;
- (void)removeImage:(id)sender;
- (void)randomSet:(id)sender;
- (void)descendSet:(id)sender;
- (void)delaySet:(id)sender;

- (void)buildDirectoryList;
- (void)checkDirectoryList;
- (NSView *)inspector:sender;
- (void)loadDefaults;

- (void)oneStep;
- (void)scanDirectories;

- (int)browser:(NSBrowser *)sender numberOfRowsInColumn:(int)column;
- (void)browser:(NSBrowser *)sender willDisplayCell:(id)cell atRow:(int)row column:(int)column;
- (BOOL)browser:(NSBrowser *)sender selectRow:(int)row inColumn:(int)column;

@end

@interface SlideShowInspectorView : NSView
@end