/*
 * TiledImageView.m
 * 10/8/98 Mike Trent
 *
 * A TiledImageView. I think this should be in the kit.
 */

#import "TiledImageView.h"

@implementation TiledImageView

- (void)drawRect:(NSRect)rect
{
    NSImage *image = [self image];
    NSPoint p = {0.0, 0.0};
    NSSize iSize, rSize;

    if (image == nil) return;

    iSize = [image size];
    rSize = [self bounds].size;

    while (p.y < rSize.height) {
        while (p.x < rSize.width) {
            [image compositeToPoint:p operation:NSCompositeCopy];

            p.x += iSize.width;
        }
        p.x = 0.0;
        p.y += iSize.height;
    }
}

@end
